/*******************************************************************************
 * HeightFogComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class HeightFogComponent extends ActorComponent
    native
    editinlinenew
    collapsecategories
    hidecategories(Object);

var() const bool bEnabled;
var const float Height;
var() interp const float Density;
var() interp const float LightBrightness;
var() interp const Color LightColor;
var() interp const float ExtinctionDistance;
var() interp const float StartDistance;

// Export UHeightFogComponent::execSetEnabled(FFrame&, void* const)
native final function SetEnabled(bool bSetEnabled);

defaultproperties
{
    bEnabled=true
    Density=0.000050
    LightBrightness=0.10
    LightColor=(R=255,G=255,B=255,A=0)
    ExtinctionDistance=100000000.0
}